SystemOrganization addCategory: #'MC2-Tests-Meta-Repository-Directory'!

MDRepositoryAdaptorTest subclass: #MDDirectoryRepositoryAdaptorTest
	instanceVariableNames: 'tearDownRepositories'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Repository-Directory'!

!MDDirectoryRepositoryAdaptorTest methodsFor: 'constructing' stamp: 'cwp 10/18/2009 17:51'!
adaptorClass
	^ MDDirectoryRepositoryAdaptor! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'asserting' stamp: 'cwp 10/22/2009 12:23'!
assertObjectHasChanged
	self assert: self repository name = self changedValue! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'asserting' stamp: 'cwp 10/18/2009 22:44'!
assertObjectHasDefaultProperties
	| repository |
	repository := self repository.
	self assert: repository name = self repositoryName.
	self assert: repository primaryName = self primaryName.! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'constructing' stamp: 'cwp 10/22/2009 00:10'!
createRepository
	| repository |
	repository := (MDDirectoryRepository id: self repositoryId) 
		name: self repositoryName;
		primaryName: self primaryName;
		yourself.
	self noteRepository: repository.
	^ repository! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'configuration' stamp: 'cwp 10/18/2009 21:43'!
elementClass
	^ MDDirectoryRepositoryElement! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'running' stamp: 'cwp 10/22/2009 00:08'!
noteRepository: aRepository 
	^ tearDownRepositories add: aRepository! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/18/2009 21:50'!
primaryName
	^ 'abc'! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/18/2009 21:50'!
properties
	^ MDPropertyDictionary new
		name: self repositoryName;
		primaryName: self primaryName; 
		yourself! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'running' stamp: 'cwp 10/22/2009 00:09'!
setUp
	tearDownRepositories := OrderedCollection new.
	super setUp! !

!MDDirectoryRepositoryAdaptorTest methodsFor: 'running' stamp: 'cwp 10/22/2009 00:13'!
tearDown
	| dir |
	super tearDown.
	tearDownRepositories do: 
		[:ea | 
		ea close.
		dir := ea instVarNamed: 'directory'.
		dir ifNotNil: [dir recursiveDelete]]. 
! !
